Skip to content

IE8 and F12 Developer Tools console error #211

Closed
CodeOtter opened this Issue Nov 21, 2013 · 1 comment

2 participants

@CodeOtter

When running IE>8 in IE8 compatibility mode while having the F12 Developer Tools open, the following error occurs in Sammy v0.7.4:

Sammy.js Line 110: Object doesn't support this action

So to fix it, I recommend the following (https://github.com/quirkey/sammy/blob/master/lib/sammy.js#L110):

if (typeof window.console.log === 'function' && _isFunction(window.console.log.apply)) {

As apply doesn't work on objects, only functions. Obligatory IE is butt, etc.

@purtuga
purtuga commented Nov 30, 2013

I hit this same problem with IE11... Implemented the fix above and it works... Hopefully @quirkey can incorporate in next version.

Thanks @CodeOtter

@endor endor closed this in 0914d9e Feb 1, 2014
@noxhoej noxhoej referenced this issue in rabbitmq/rabbitmq-management Jan 20, 2016
Closed

IE 11 JS error in Sammy.js #112

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.